define({"0":{y:0,u:"../Content/ExportOverview.htm",l:-1,t:"Overview of PDF Export",i:0.00615683261164954,a:"Overview of PDF Export This section provides an overview of the OpenText File Content Extraction Export SDK and describes how to use the C implementation of the API. Introducing PDF Export"},"1":{y:0,u:"../Content/export/Introduction/Introduction.htm",l:-1,t:"Introducing PDF Export",i:0.0113901845305409,a:"Introducing PDF Export This guide is for developers who want to incorporate OpenText File Content Extraction PDF conversion technology into their applications using a C development environment. It is intended for readers who are familiar with C."},"2":{y:0,u:"../Content/export/Introduction/Overview.htm",l:-1,t:"Overview",i:0.00615683261164954,a:"PDF Export is part of the File Content Extraction Export SDK. It enables you to convert virtually any document, spreadsheet, presentation, or graphic into a high-fidelity PDF document. Incorporating this technology into your  applications enables your end-users to access a document even if they do ..."},"3":{y:0,u:"../Content/export/Introduction/Features.htm",l:-1,t:"Features",i:0.00615683261164954,a:"Dynamically convert word processing, spreadsheet, presentation, and graphics files into PDF documents. Export supports over 300 formats in 70 languages. Convert files out-of-process. Out-of-process conversion ensures the stability and robustness of the calling application if a corrupt document ..."},"4":{y:0,u:"../Content/export/Introduction/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00615683261164954,a:"To get started with the Export SDK, unzip the package to a directory on your machine. The Export SDK packages for non-Windows platforms store the correct file permissions for the files in the SDK (for example, some files must be executable) . OpenText recommends that you unzip the SDK on the ..."},"5":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0410409267246339,a:"Your license key controls whether you have the full version of the File Content Extraction SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document ..."},"6":{y:0,u:"../Content/export/Introduction/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.00615683261164954,a:" The following table describes the directories created during the PDF Export installation. The variable install is the path name of the Export installation directory (for example, /usr/autonomy/KeyviewExportSDK on UNIX, or C:\\Program Files\\Autonomy\\KeyviewExportSDK on Windows). On UNIX, the PDF ..."},"7":{y:0,u:"../Content/part_Use.htm",l:-1,t:"Use the Export API",i:0.00615683261164954,a:"Use the Export API This section explains how to perform some basic tasks using the Export APIs, and describes the sample programs. It contains the following chapters: Use the PDF Export API Sample Programs"},"8":{y:0,u:"../Content/export/UseExportAPI/HTML_api.htm",l:-1,t:"Use the PDF Export API",i:0.00877350857109521,a:"Use the PDF Export API This section describes how to perform some basic tasks by using the PDF Export API."},"9":{y:0,u:"../Content/C/PDF/Get_Session_Context.htm",l:-1,t:"Get a Session Context",i:0.0239380343654711,a:"Use of the PDF Export API requires the following steps: Dynamically load the kvpdf shared library. Obtain a handle to the KVPDFGetInterface function. Call the KVPDFGetInterface function to obtain function pointers for the library methods. Call the fpInit() function pointer to initialize File Content ..."},"10":{y:0,u:"../Content/C/PDF/Export_to_PDF.htm",l:-1,t:"Export a File to PDF",i:0.0129393889946507,a:"The following example illustrates how to initialize File Content Extraction by using fpInit(),  use the fpConvertFileToFile() file method, and then shutdown using fpShutdown().\n This example uses the KVPDFGetInterface function pointer, fpGetInterface(). For details of how to load the kvpdf library ..."},"11":{y:0,u:"../Content/C/PDF/Obtain_Summary_Info.htm",l:-1,t:"Obtain File Format Information",i:0.0129393889946507,a:"File Content Extraction allows you to obtain the following basic information for a file: The character set. See the KVCharSet enumerated type. The class of document. See the ENdocClass enumerated type. The specific type of document. See the ENdocFmt enumerated type. Some other attributes such as the ..."},"12":{y:0,u:"../Content/kv_security/_KV_SecurityBestPractises.htm",l:-1,t:"Security Best Practices",i:0.00615683261164954,a:"This section outlines some security best practices to consider when using File Content Extraction. Keep File Content Extraction Up to Date. New releases may include security updates, including updates to third-party libraries. See  Third-Party Library Upgrade Policy . Protect the Temporary ..."},"13":{y:0,u:"../Content/kv_security/_KV_ProtectTempDir.htm",l:-1,t:"Protect the Temporary Directory",i:0.012983009310217,a:"PDF Export writes temporary files to the temporary directory. These temporary files frequently include the contents of files that you are processing, including decrypted parts of encrypted files. Sensitive information is therefore exposed in the temporary directory, so it is important that only ..."},"14":{y:0,u:"../Content/kv_security/_KV_RunMinimalPrivileges.htm",l:-1,t:"Run PDF Export with Minimal Privileges",i:0.012983009310217,a:"OpenText recommends that you run PDF Export with only those privileges that are necessary for it to function correctly, which follows best practice for any application. In particular, PDF Export needs access only to the following directories: the PDF Export bin directory. any input and output ..."},"15":{y:0,u:"../Content/kv_security/_KV_DLLPreloading.htm",l:-1,t:"Mitigate Against DLL Pre-Loading",i:0.00746517059137238,a:"When an  application loads a shared library such as  kvhtml.dll or kvhtml.so , the Operating System or runtime linker might search several locations. This search can allow DLL pre-loading attacks if an attacker is able to place a malicious binary in one of the locations searched. It might also lead ..."},"16":{y:0,u:"../Content/C/samples_export/html_samples_c.htm",l:-1,t:"Sample Programs",i:0.00877350857109521,a:"Sample Programs This section describes the  sample programs provided with PDF Export."},"17":{y:0,u:"../Content/C/samples_export/Introduction.htm",l:-1,t:"Introduction",i:0.00615683261164954,a:"The sample programs demonstrate how to use PDF Export. The sample code is intended to provide a starting point for your own applications or to be used for reference purposes.  You can also test these sample programs with the sample files provided in  install\\testdocs. The following sample programs ..."},"18":{y:0,u:"../Content/C/samples_export/cnv2pdf.htm",l:-1,t:"cnv2pdf",i:0.0759250208376184,a:"The cnv2pdf sample program demonstrates PDF export, taking an input file and creating a PDF from it. To run cnv2pdf, type the following at the command line: cnv2pdf [options] inputfile outputfile where: options is one or more of the options listed in  Options for cnv2pdf . inputfile is the full path ..."},"19":{y:0,u:"../Content/part_CReference.htm",l:-1,t:"C API Reference",i:0.0171554779824699,a:"C API Reference This section provides detailed reference information for the C-language implementation of the Export APIs. PDF Export API Functions PDF Export API Structures Enumerated Types"},"20":{y:0,u:"../Content/C/ExportAPIFunctions/htmlx_functions.htm",l:-1,t:"PDF Export API Functions",i:0.0127620751503048,a:"PDF Export API Functions This section describes the functions in the PDF Export API.  Each function appears as a function prototype followed by a description of its arguments, its return value, and discussion of its use."},"21":{y:0,u:"../Content/C/ExportAPIFunctions/KVPDFGetInterface.htm",l:-1,t:"KVPDFGetInterface()",i:0.00790128325127999,a:"This function is exported by the Export definition file. It supplies function pointers to other PDF Export functions. When KVPDFGetInterface() is called, it assigns the function pointers to the structure pointed to by pInterface. Syntax BOOL KVPDFGetInterface(KVPDFInterface *pInterface); Arguments ..."},"22":{y:0,u:"../Content/C/ExportAPIFunctions/PDF_fpConvertFileToFile.htm",l:-1,t:"fpConvertFileToFile()",i:0.0109977066445149,a:"This function converts a source file to an output PDF file. Syntax KVPDFState pascal fpConvertFileToFile(\n    const KVPDFContext context,\n    const char* const pszInFileName,\n    const char* const pszOutFileName,\n    const KVPDFOptions options) Arguments Returns If the call is successful, a ..."},"23":{y:0,u:"../Content/C/ExportAPIFunctions/PDF_fpCreateThumbnailForFile.htm",l:-1,t:"fpCreateThumbnailForFile()",i:0.00615683261164954,a:"This functions converts a source file to an output PNG thumbnail file. Syntax KVPDFState pascal fpCreateThumbnailForFile(\n   const KVPDFContext context,\n   const char* const pszInFileName,\n   const char* const pszOutFileName,\n   const unsigned int widthPixels,\n   const unsigned int heightPixels,\n   ..."},"24":{y:0,u:"../Content/C/ExportAPIFunctions/PDF_fpGetFileInfo.htm",l:-1,t:"fpGetFileInfo()",i:0.00615683261164954,a:"This function returns information about a file such as its format and character set. Syntax KVPDFState pascal fpGetFileInfo(\n    const KVPDFContext context,\n    const char* const pszInFileName,\n    KVDocInfo* const pDocInfo); Arguments Returns If the call is successful, a KVPDFState structure with ..."},"25":{y:0,u:"../Content/C/ExportAPIFunctions/PDF_fpInit.htm",l:-1,t:"fpInit()",i:0.102990935588815,a:"This function initializes an Export session. If initialization is successful, the KVPDFContext value pointed to by pContext is set to a valid context identifier. This context value must be passed as the first parameter to all other PDF Export functions. Syntax KVPDFState pascal fpInit(\n    const ..."},"26":{y:0,u:"../Content/C/ExportAPIFunctions/PDF_fpShutDown.htm",l:-1,t:"fpShutDown()",i:0.0937276972635873,a:"This function terminates a PDF Export session that was initialized by  fpInit() , and frees allocated system resources. Call this function when the conversion context is no longer required. Syntax void pascal fpShutDown(KVPDFContext* const pContext); Arguments Returns None. Discussion pContext ..."},"27":{y:0,u:"../Content/C/ExportAPIStructures/htmlx_structures.htm",l:-1,t:"PDF Export API Structures",i:0.0110176245106743,a:"PDF Export API Structures This section provides information on the structures used by the PDF Export API. These structures are defined in , kvtypes.h, and adinfo.h."},"28":{y:0,u:"../Content/C/ExportAPIStructures/ADDOCINFO.htm",l:-1,t:"ADDOCINFO",i:0.0178323061396234,a:"This structure provides the format, file class, and version number of the source document.  It is defined in adinfo.h and is part of the  KVDocInfo  structure. typedef struct\n{\n    ENdocClass        eClass;\n    ENdocFmt          eFormat;\n    long              lVersion; \n    unsigned ..."},"29":{y:0,u:"../Content/C/ExportAPIStructures/KVDocInfo.htm",l:-1,t:"KVDocInfo",i:0.0137356677612891,a:"KVDocInfo This structure provides the character set, format, file class, and version number of the source document. It is defined in adinfo.h as KVStreamInfo. typedef struct \n{\n   KVCharSet   charset;\n   ADDOCINFO   adInfo;\n}\nKVDocInfo; Member Descriptions"},"30":{y:0,u:"../Content/C/ExportAPIStructures/KVPDFInterface.htm",l:-1,t:"KVPDFInterface",i:0.00615683261164954,a:"This structure contains pointers to the PDF Export API functions. You can set the pointers by calling the  KVPDFGetInterface()  function. typedef struct \n{\n    KVStructHeader;\n    KVPDF_INIT\t\t\tfpInit;\n    KVPDF_CONVERT_FILE_TO_FILE\tfpConvertFileToFile;\n    KVPDF_GET_FILE_INFO\tfpGetFileInfo;\n    ..."},"31":{y:0,u:"../Content/C/ExportAPIStructures/KVStructHead.htm",l:-1,t:"KVStructHead",i:0.0201997072764565,a:"This structure contains the current File Content Extraction version number and is the first member of other structures. It enables OpenText to modify the structures in future releases, but to maintain backward compatibility. Before initializing a structure that contains the KVStructHead structure, ..."},"32":{y:0,u:"../Content/C/ExportAPIStructures/KVPDFState.htm",l:-1,t:"KVPDFState",i:0.00615683261164954,a:"This structure is returned by PDF export functions to indicate whether they were successful, and if they failed to give the reason why. typedef struct \n{\n    KVErrorCode\teErrorCode;\n    KVErrorCodeEx\teErrorCodeEx;\n}\nKVPDFState; Member Descriptions Discussion To evaluate a KVPDFState object, check ..."},"33":{y:0,u:"../Content/C/ExportAPIStructures/KVPDFContext.htm",l:-1,t:"KVPDFContext",i:0.00615683261164954,a:"KVPDFContext This pointer identifies a File Content Extraction session. kvpdf.h contains its forward declaration. tag_KVPDFContext is for internal use only, and so is not defined in the public headers. typedef struct tag_KVPDFContext *KVPDFContext;"},"34":{y:0,u:"../Content/C/ExportAPIStructures/KVPDFOptions.htm",l:-1,t:"KVPDFOptions",i:0.0113901845305409,a:"This structure modifies PDF Export options. typedef struct\n{\n\tKVStructHeader;\n\tchar pszSourceFilePassword[MAX_PASSWORD_LEN];\n\tdouble pageWidthInches;\n\tdouble pageHeightInches;\n}\nKVPDFOptions;\n Member Descriptions Discussion File Content Extraction attempts to determine appropriate page dimensions ..."},"35":{y:0,u:"../Content/C/ExportAPIStructures/KVPDFThumbnailOptions.htm",l:-1,t:"KVPDFThumbnailOptions",i:0.00877350857109521,a:"KVPDFThumbnailOptions typedef struct tag_KVPDFThumbnailOptions\n{\n   KVStructHeader;\n   char pszSourceFilePassword[MAX_PASSWORD_LEN];\n}\nKVPDFThumbnailOptions; Member Descriptions"},"36":{y:0,u:"../Content/C/enum/enumtype.htm",l:-1,t:"Enumerated Types",i:0.0110176245106743,a:"Enumerated Types This section provides information about the enumerated types used by File Content Extraction. "},"37":{y:0,u:"../Content/C/enum/Introduction.htm",l:-1,t:"Introduction",i:0.0158385806773804,a:"The enumerated types are in adinfo.h, kvcharset.h, kverrorcodes.h, kvtypes.h, kv.h,  and kvxtract.h. These header files are in the include directory. The first entry in an enumerated type structure should be set to zero (0). Each subsequent entry is increased by 1. For example, the first five ..."},"38":{y:0,u:"../Content/C/enum/KVErrorCode.htm",l:-1,t:"KVErrorCode",i:0.0113901845305409,a:"This enumerated type defines the type of error generated if  Export  fails. This enumerated type is defined in kverrorcodes.h. Definition \ntypedef enum\n{\n    KVError_Success,                    /*  0 */\n    KVError_DLLNotFound,                /*  1 */\n    KVError_OutOfCore,                  /*  2 ..."},"39":{y:0,u:"../Content/C/enum/KVErrorCodeEx.htm",l:-1,t:"KVErrorCodeEx",i:0.00615683261164954,a:"KVErrorCodeEx KVErrorCodeEx is an alias of  KVErrorCode , to aid transition from earlier versions of the API."},"40":{y:0,u:"../Content/C/PDF/KVCharSet.htm",l:-1,t:"KVCharSet",i:0.00615683261164954,a:"KVCharSet This enumerated type defines the character sets that File Content Extraction can handle. See  Coded Character Sets ."},"41":{y:0,u:"../Content/C/enum/ENDocAttributes.htm",l:-1,t:"ENdocAttributes",i:0.0137356677612891,a:"This enumerated type provides additional information about a file during auto-detection. This enumerated type is defined in adinfo.h.  The attributes in this enumerated type are set when a particular characteristic is detected. However, if the attribute is not set it does not necessarily mean that ..."},"42":{y:0,u:"../Content/C/PDF/ENdocFmt.htm",l:-1,t:"ENdocFmt",i:0.00615683261164954,a:"ENdocFmt This enumerated type defines the document formats that File Content Extraction can detect. See  File Formats ."},"43":{y:0,u:"../Content/appart.htm",l:-1,t:"Appendixes",i:0.00615683261164954,a:"This section lists supported formats, supported character sets and redistributed files, and provides information on format detection. Platforms, Compilers, and Dependencies File Formats Document Readers Platform Differences Character Sets Third-Party Libraries File Format Detection Files Required ..."},"44":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00673831615819302,a:"Platforms, Compilers, and Dependencies This section describes supported platforms, supported compilers, and software dependencies."},"45":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00615683261164954,a:"The following sections list supported operating systems for each platform. Windows (x86-64) Microsoft Windows Server 2022 Microsoft Windows Server 2019 Microsoft Windows Server 2016 Microsoft Windows Server 2012 Microsoft Windows 11 Microsoft Windows 10 Windows (x86) Microsoft Windows 10 Windows ..."},"46":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.00615683261164954,a:"Supported Compilers The following table lists the supported compilers for the C PDF Export SDK."},"47":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.0140068604899865,a:"This section describes software that you, or the end user of your application, must install alongside File Content Extraction. For information about third-party software that is included with File Content Extraction, see  Third-Party Libraries . To run File Content Extraction on Windows requires the ..."},"48":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected.htm",l:-1,t:"File Formats",i:0.0119716680770844,a:"File Formats This section lists the file formats that File Content Extraction can detect."},"49":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected_Key.htm",l:-1,t:"Key to Supported Formats Table",i:0.00615683261164954,a:"Key to Supported Formats Table The supported formats table includes the following information:"},"50":{y:0,u:"../Content/kv_formats/_KV_FMT__AllDetected.htm",l:-1,t:"Supported Formats",i:0.0184246150171778,a:"1MHT, EML, and MBX files might return either format 2, 233, or 395, depending on the text  in the file. In general, files that contain fields such as To, From, Date, or Subject are considered to be email messages; files that contain fields such as content-type and mime-version are considered to be ..."},"51":{y:0,u:"../Content/kv_formats/_KV_FMT_FileClasses.htm",l:-1,t:"File Classes",i:0.00615683261164954,a:"File Classes"},"52":{y:0,u:"../Content/kv_formats/_KV_FMT__SupportedFormats.htm",l:-1,t:"Document Readers",i:0.00673831615819302,a:"Document Readers This section lists the document readers that are provided by File Content Extraction to filter, export, and view supported file formats."},"53":{y:0,u:"../Content/kv_formats/_KV_FMT__Key.htm",l:-1,t:"Key to Document Readers Table",i:0.00615683261164954,a:"The document readers table includes the following information. Key to Symbols Symbol Description Y The feature is supported. N The feature is not supported. T Only text is extracted from this format. Formatting information is not extracted.  M Only metadata (title, subject, author, and so on) is ..."},"54":{y:0,u:"../Content/kv_formats/_KV_FMT_Readers.htm",l:-1,t:"Document Readers",i:0.0248270933704572,a:"Document Readers"},"55":{y:0,u:"../Content/kv_platforms/_KV_Intro.htm",l:-1,t:"Platform Differences",i:0.00673831615819302,a:"Platform Differences Most File Content Extraction features and document readers are available across all platforms. This section describes the supported platforms for certain features that are not available on every platform."},"56":{y:0,u:"../Content/kv_platforms/_KV_FeaturesByPlatform.htm",l:-1,t:"Feature Differences",i:0.0131912630982865,a:"Feature Differences"},"57":{y:0,u:"../Content/kv_platforms/_KV_ReadersByPlatform.htm",l:-1,t:"Reader Differences",i:0.0131912630982865,a:"Reader Differences This topic shows only those readers that are unavailable on at least one platform. For a complete list of a readers, see  Document Readers ."},"58":{y:0,u:"../Content/kv_charset/_KV_CHARSET_c_charset.htm",l:-1,t:"Character Sets",i:0.00673831615819302,a:"Character Sets This section provides information on the handling of character sets in the File Content Extraction suite of products. "},"59":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Multibyte_Bidirectional_Support.htm",l:-1,t:"Multibyte and Bidirectional Support",i:0.00615683261164954,a:"File Content Extraction can process files that contain multibyte characters. A multibyte character encoding represents a single character with consecutive bytes. File Content Extraction can also process text from files that contain bidirectional text. Bidirectional text contains both Latin-based ..."},"60":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Coded_Character_Sets.htm",l:-1,t:"Coded Character Sets",i:0.0113901845305409,a:"This section lists the character sets you can use as your target character set.  The character sets are enumerated in kvcharset.h and defined in the  Export  class. Target character sets other than UTF-8 and UTF-16 are deprecated in File Content Extraction version 24.4 and later. OpenText recommends ..."},"61":{y:0,u:"../Content/Shared/_KV_3P_Appendix.htm",l:-1,t:"Third-Party Libraries",i:0.0186442622973436,a:"Third-Party Libraries This section contains information about the third-party libraries included with File Content Extraction."},"62":{y:0,u:"../Content/Shared/_KV_3P_Source.htm",l:-1,t:"Third-Party Library Source Code",i:0.00615683261164954,a:"File Content Extraction uses a variety of third-party libraries.  To see a list of the libraries used and their licenses, refer to license-os3p.txt which is included in the SDK. Some third-party libraries use a license which gives users of the software the right to obtain the source code to those ..."},"63":{y:0,u:"../Content/Shared/_KV_3P_UpgradePolicy.htm",l:-1,t:"Third-Party Library Upgrade Policy",i:0.0126985225102637,a:"File Content Extraction uses third-party libraries to provide important functionality. These libraries are regularly upgraded to ensure that File Content Extraction includes any relevant security fixes according to the following policy: All third-party libraries that are required for all uses of ..."},"64":{y:0,u:"../Content/export/Detect/detection.htm",l:-1,t:"File Format Detection",i:0.00673831615819302,a:"File Format Detection This section describes how file formats are detected in the File Content Extraction Export SDK."},"65":{y:0,u:"../Content/Shared/_KV_Refine_Detection_of_Text.htm",l:-1,t:"Refine Detection of Text Files",i:0.00615683261164954,a:"During text detection, File Content Extraction analyses the first 1 kB and last 1 kB of data in a document. If less than 10% of that data consists of non-ASCII characters, File Content Extraction detects the document as a text file. However, depending on the type of documents you are working with, ..."},"66":{y:0,u:"../Content/export/Detect/Determine_Doc_Reader.htm",l:-1,t:"Determine a Document Reader",i:0.00877350857109521,a:"The format detection module uses information in the file  formats_e.ini to determine whether a format is supported, and to determine the reader to use to parse a format. The entries in the [Formats] section of  formats_e.ini match file formats with readers. Each file format has the following ..."},"67":{y:0,u:"../Content/Shared/_KV_AdditionalFormatInfo.htm",l:-1,t:"Additional Format Information",i:0.00615683261164954,a:"File Content Extraction returns basic information about a document\u0027s format, but sometimes it can be useful to have additional information. The file formats_description.tsv, which can be found in the bin directory, provides a mapping between file format ID, human-readable format description, and the ..."},"68":{y:0,u:"../Content/export/Files/Filelist.htm",l:-1,t:"Files Required for Redistribution",i:0.0119716680770844,a:"This section lists the Export files that can be redistributed in your applications under the licensing agreement. Unless noted, these files are in the directory  install\\OS\\bin, where install is the path of the Export installation directory and OS is the operating system platform. On Windows ..."},"69":{y:0,u:"../Content/export/Files/Core_Files.htm",l:-1,t:"Core Files",i:0.00615683261164954,a:"Core Files The following core files can be redistributed with your application."},"70":{y:0,u:"../Content/export/Files/Support_Files.htm",l:-1,t:"Support Files",i:0.00615683261164954,a:"Support Files The following support files can be redistributed with your application."},"71":{y:0,u:"../Content/export/Files/Document_Readers_and_Writers.htm",l:-1,t:"Document Readers and Writers",i:0.00615683261164954,a:"Document Readers and Writers The following readers and writers can be redistributed with your application."},"72":{y:0,u:"../Content/Shared/_KV_pwd_intro.htm",l:-1,t:"Password Protected Files",i:0.00673831615819302,a:"Password Protected Files This section lists supported password-protected container and non-container files and describes how to open them."},"73":{y:0,u:"../Content/Shared/_KV_pwd_protect_support.htm",l:-1,t:"Supported Password Protected File Types",i:0.00615683261164954,a:"The following table lists the password-protected file types that File Content Extraction supports. Supported password-protected file types File Type Version Filter Export Extract View Credentials PST (Windows) n/a N N Y S P PST (non-Windows) 1 The native PST readers, pstxsr and pstnsr, do not ..."},"74":{y:0,u:"../Content/C/C_Export_Password_Protected_Files.htm",l:-1,t:"Export Password Protected Files",i:0.00615683261164954,a:"Export Password Protected Files To export a password-protected file, supply the password through the  KVPDFOptions  structure."},});