define({"128":{y:0,u:"../Content/C/Callback/Introduction.htm",l:-1,t:"Introduction",i:0.00151106165967458,a:"The fpConvertStream() and KV XMLConvertFile() functions enable you to specify a callback function. A callback function controls the conversion while it is in progress. For example, you can specify a callback function to report progress during the conversion. To use the API callback functions, ..."},"129":{y:0,u:"../Content/C/Callback/Continue.htm",l:-1,t:"Continue()",i:0.00151106165967458,a:"When fpConvertStream() or KVXMLConvertFile() is called, control is not returned to the application until the entire document is processed. This callback function provides a means of monitoring progress and terminating the conversion process before the conversion is completed. Syntax BOOL (pascal ..."},"130":{y:0,u:"../Content/C/Callback/GetAnchor.htm",l:-1,t:"GetAnchor()",i:0.00215696158475464,a:"This function should provide the anchor name used for external graphics referenced with  \u003ca xmlns:xlink= xlink href=\u003e tags, heading-level table of contents entries, and external files (such as CSS files and revision summary files). The anchor name you provide is passed into   GetAuxOutput()  to ..."},"131":{y:0,u:"../Content/C/Callback/GetAuxOutput.htm",l:-1,t:"GetAuxOutput()",i:0.00242777674745237,a:"This callback function enables the calling application to specify an auxiliary output stream for a block or graphic. Syntax BOOL (pascal *GetAuxOutput) (\n    void                    *pCallingContext, \n    KVXMLAnchorType          eAnchorType, \n    char                    *pszAnchor,\n    ..."},"132":{y:0,u:"../Content/C/Callback/UserCB.htm",l:-1,t:"UserCB()",i:0.00151106165967458,a:"This callback function is triggered by including the $USERCB token in a member of KVXMLTemplate. For example, placing \"$USERCB=my_callback \" in pszFirstH1Start results in a callback at the point when pszFirstH1Start is processed. The user callback function is identified by the text assigned to ..."},"133":{y:0,u:"../Content/C/ExportAPIStructures/htmlx_structures.htm",l:-1,t:"XML Export API Structures",i:0.00188101130367113,a:"XML Export API Structures This section provides information on the structures used by the XML Export API. These structures are defined in kvxml.h, kvtypes.h, and adinfo.h."},"134":{y:0,u:"../Content/C/ExportAPIStructures/ADDOCINFO.htm",l:-1,t:"ADDOCINFO",i:0.00797758227204046,a:"This structure provides the format, file class, and version number of the source document.  It is defined in adinfo.h, and is initialized by calling the fpGetStreamInfo() function. See  fpGetStreamInfo() . typedef ..."},"135":{y:0,u:"../Content/C/ExportAPIStructures/KVInputStream.htm",l:-1,t:"KVInputStream",i:0.0123378876381756,a:"This structure defines an input stream for the XML conversion. The structure is defined in kvstream.h. typedef struct tag_InputStream\n{\n   void *pInputStreamPrivateData;\n   long lcbFilesize;\n   BOOL (pascal *fpOpen) (struct tag_InputStream *);\n   UINT (pascal *fpRead) (struct tag_InputStream *, BYTE ..."},"136":{y:0,u:"../Content/C/ExportAPIStructures/KVOutputStream.htm",l:-1,t:"KVOutputStream",i:0.00512698221454823,a:"This structure defines an output stream for the XML conversion. The structure is defined in kvstream.h. typedef struct tag_OutputStream\n{\n void  *pOutputStreamPrivateData;\n BOOL (pascal *fpCreate)(struct tag_OutputStream *,TCHAR *);\n UINT (pascal *fpWrite) (struct tag_OutputStream *, BYTE *, ..."},"137":{y:0,u:"../Content/kv_RMS/_KV_RMS_KVRMSCredentials.htm",l:-1,t:"KVRMSCredentials",i:0.00209546995216343,a:"This structure defines each element of the RMS credentials. This structure is defined in kvdecryptionsettings.h. typedef struct _KVRMSCredentials\n{ \n    KVStructHeader;\n\n    const char* tenantID;\n    const char* clientID;\n    const char* clientSecret;\n}\nKVRMSCredentials; Member Descriptions To ..."},"138":{y:0,u:"../Content/C/ExportAPIStructures/KVSTR.htm",l:-1,t:"KVSTR",i:0.0046582991280228,a:"KVSTR This structure is used to identify string types (string text and byte count) for the first three members of KVStyle. See  KVStyle  . typedef struct tag_KVSTR\n{\n    char    *pcString;\n    int      cbString;\n}\nKVSTR;\n Member Descriptions"},"139":{y:0,u:"../Content/C/ExportAPIStructures/KVStreamInfo.htm",l:-1,t:"KVStreamInfo",i:0.00380681539936608,a:"This structure defines a document\u0027s character set and format. It is initialized by calling fpGetStreamInfo(). See  fpGetStreamInfo() .  typedef struct tag_KVStreamInfo\n{\n    KVCharSet    charset;\n    ADDOCINFO    adInfo;\n}\nKVStreamInfo;\n Member Descriptions Discussion When format detection is ..."},"140":{y:0,u:"../Content/C/ExportAPIStructures/KVStructHead.htm",l:-1,t:"KVStructHead",i:0.00612542521542444,a:"This structure contains the current File Content Extraction version number and is the first member of other structures. It enables OpenText to modify the structures in future releases, but to maintain backward compatibility. Before initializing a structure that contains the KVStructHead structure, ..."},"141":{y:0,u:"../Content/C/ExportAPIStructures/KVStyle.htm",l:-1,t:"KVStyle ",i:0.0111076988461102,a:" This structure defines the style mapping support for KVSTR-defined styles. The first three members of KVStyle are KVSTR structures (see  KVSTR ). Each KVSTR structure contains the text string and byte count for StyleName, MarkUpStart, and MarkUpEnd. The structure is initialized by calling the ..."},"142":{y:0,u:"../Content/C/ExportAPIStructures/KVSumInfoElemEx.htm",l:-1,t:"KVSumInfoElemEx",i:0.00247144342283953,a:"KVSumInfoElemEx This structure defines the individual metadata elements.  typedef struct tag_KVSumInfoElemEx\n{\n    int                 isValid;\n    KVSumInfoType       type;\n    void                *data;\n    char                *pcType;\n}\nKVSumInfoElemEx; Member Descriptions"},"143":{y:0,u:"../Content/C/ExportAPIStructures/KVSummaryInfoEx.htm",l:-1,t:"KVSummaryInfoEx",i:0.00225970841338506,a:"This structure provides a count of the number of metadata elements, and a pointer to the first element of the array of individual elements. The structure is initialized by calling the fpGetSummaryInfo() function. See  fpGetSummaryInfo() . typedef struct ..."},"144":{y:0,u:"../Content/C/ExportAPIStructures/KVXConfigInfo.htm",l:-1,t:"KVXConfigInfo",i:0.00234000970698151,a:"This structure defines an XML document type and the element extraction settings for that type. The settings can be applied based on the file format ID, or the file\u0027s root element. This structure is in kvtypes.h and is initialized by calling the KVHTMLConfig() function. See  Convert XML Files . ..."},"145":{y:0,u:"../Content/C/ExportAPIStructures/KVXMLCallbacks.htm",l:-1,t:"KVXMLCallbacks",i:0.00316567700236067,a:"This structure provides all callbacks that can result from a call to fpConvertStream() or KVXMLConvertFile(). See  fpConvertStream()  and  KVXMLConvertFile() . Any and all of the function pointers can be NULL.  typedef BOOL (pascal ..."},"146":{y:0,u:"../Content/C/ExportAPIStructures/KVXMLHeadingInfo.htm",l:-1,t:"KVXMLHeadingInfo",i:0.00304868503817415,a:"This structure defines how XML Export creates heading information based on the source document\u0027s content and attributes. Source text is converted to a heading and included in the table of contents if  it meets all the criteria defined by this structure, and  you set the headingCreateType member of ..."},"147":{y:0,u:"../Content/C/ExportAPIStructures/KVXMLImageInfo.htm",l:-1,t:"KVXMLImageInfo",i:0.00333316050543659,a:"This structure contains the dimensions of an image in pixels. It is defined in kvxml.h. You must initialize it by calling KVStructInit() before you obtain image dimensions by using the fpGetOutputImageInfo() function.  typedef struct tag_KVXMLImageInfo{\n      KVStructHeader;\n      int nWidth;\n      ..."},"148":{y:0,u:"../Content/C/ExportAPIStructures/KVXMLInterfaceEx.htm",l:-1,t:"KVXMLInterfaceEx",i:0.00421238023654314,a:"The members of this structure are pointers to the API functions described in  XML Export API Functions . \ntypedef struct tag_KVXMLInterfaceEx\n{\n    KVStructHeader;\n\n    KVXML_INIT                   fpInit;\n    KVXML_SHUTDOWN               fpShutDown;\n    KVXML_CONVERT_STREAM         ..."},"149":{y:0,u:"../Content/C/ExportAPIStructures/KVXMLOptions.htm",l:-1,t:"KVXMLOptions",i:0.0113981302184889,a:"This structure defines the options that control the XML markup written in response to the general style and attributes (font, color, and so on) of the document. The structure is initialized by calling the fpConvertStream() or KVXMLConvertFile() function. See  fpConvertStream()  or  ..."},"150":{y:0,u:"../Content/C/ExportAPIStructures/KVXMLTemplate.htm",l:-1,t:"KVXMLTemplate",i:0.00486191254824428,a:"This structure defines the overall framework of the XML output. Members in this structure define the XML markup written at specific points in the output stream. The pointers contain XML markup that might include embedded  Export Tokens . The XML markup contained in these strings should be ..."},"151":{y:0,u:"../Content/C/ExportAPIStructures/KVXMLTOCOptions.htm",l:-1,t:"KVXMLTOCOptions",i:0.00745331518457266,a:"This structure defines whether a heading is included in the table of contents. Source text is converted to a heading in the XML output if  it meets all the criteria defined by the members of KVXMLHeadingInfo, and  the headingCreateType member of KVXMLTOCOptions is set to allow automatic heading ..."},"152":{y:0,u:"../Content/C/metadata/Metadata_API_Functions.htm",l:-1,t:"Metadata API Functions",i:0.00151106165967458,a:"Metadata API Functions This section describes the metadata API functions. "},"153":{y:0,u:"../Content/C/metadata/fpFindKey.htm",l:-1,t:"fpFindKey()",i:0.00352259510478153,a:"Finds a metadata element from a  KVMetadataList  with a particular standardised key. This function is independent of any iteration that uses  fpGetNext() . Syntax KVErrorCode(pascal* fpFindKey)(\n   const struct tag_KVMetadataList* pMetadata,\n   KVMetadataKey eKey,\n   const KVMetadataElement** ..."},"154":{y:0,u:"../Content/C/metadata/fpFree.htm",l:-1,t:"fpFree()",i:0.00443636645875037,a:"Frees the resources associated with a  KVMetadataList  structure. Syntax void pascal  fpFree(const struct KVMetadataList* const pMetadata); Arguments Discussion Once the KVMetadataList pointer has been freed, it is no longer valid, and should be set to NULL. You must not call any function on a ..."},"155":{y:0,u:"../Content/C/metadata/fpGetNext.htm",l:-1,t:"fpGetNext()",i:0.00537842188593376,a:"Gets the next metadata element from a  KVMetadataList . Call this function to iterate through the elements, beginning with the first. File Content Extraction does not guarantee to iterate through metadata elements in any particular order. Syntax \nKVErrorCode(pascal* fpGetNext)(\n    const struct ..."},"156":{y:0,u:"../Content/C/metadata/Metadata_API_Structures.htm",l:-1,t:"Metadata API Structures",i:0.00151106165967458,a:"Metadata API Structures This section describes the metadata API structures. "},"157":{y:0,u:"../Content/C/metadata/KVBinaryData.htm",l:-1,t:"KVBinaryData",i:0.0023890410759066,a:"KVBinaryData This structure defines a value containing binary data. This structure is defined in kvmetadata.h. \ntypedef struct tag_KVBinaryData\n{\n    KVStructHeader;\n\n    unsigned char* pucData;\n\n    unsigned int cbSize;\n} KVBinaryData; Member Descriptions"},"158":{y:0,u:"../Content/C/metadata/KVMetadataElement.htm",l:-1,t:"KVMetadataElement",i:0.00560348422393666,a:"This structure defines a single metadata element. This structure is defined in kvmetadata.h. \ntypedef struct tag_KVMetadataElement\n{\n    KVStructHeader;\n    KVString* pKey;\n    KVMetadataKey eKey;\n    KVMetadataValueType eType;\n    void* pValue;\n    BOOL bHasStandardAlternative;\n    BOOL ..."},"159":{y:0,u:"../Content/C/metadata/KVMetadataList.htm",l:-1,t:"KVMetadataList",i:0.007099471986713,a:"This structure defines a list of metadata elements, and provides the ability to iterate through them. This structure is defined in kvmetadata.h. \ntypedef struct tag_KVMetadataList\n{\n    KVStructHeader;\n\n    void(pascal* fpFree)(\n        const struct tag_KVMetadataList* const pMetadata);\n\n    ..."},"160":{y:0,u:"../Content/C/metadata/KVMIPLabel.htm",l:-1,t:"KVMIPLabel",i:0.0023890410759066,a:"This structure defines a Microsoft Information Protection Label, which is a classification label used by Microsoft Purview to describe the sensitivity of information. For more information, see the Microsoft documentation  ..."},"161":{y:0,u:"../Content/C/metadata/KVString.htm",l:-1,t:"KVString",i:0.00600740573301964,a:"KVString This structure defines a string value. This structure is defined in kvmetadata.h. \ntypedef struct tag_KVString\n{\n    KVStructHeader;\n\n    char* pcString;\n\n    unsigned int cbSize;\n} KVString; Member Descriptions"},"162":{y:0,u:"../Content/C/enum/enumtype.htm",l:-1,t:"Enumerated Types",i:0.00172512986793673,a:"Enumerated Types This section provides information about the enumerated types used by File Content Extraction. "},"163":{y:0,u:"../Content/C/enum/Introduction.htm",l:-1,t:"Introduction",i:0.0101493955712511,a:"The enumerated types are in adinfo.h, kvcharset.h, kverrorcodes.h, kvtypes.h, kv xml .h,  and kvxtract.h. These header files are in the include directory. The first entry in an enumerated type structure should be set to zero (0). Each subsequent entry is increased by 1. For example, the first five ..."},"164":{y:0,u:"../Content/C/enum/ENDocAttributes.htm",l:-1,t:"ENdocAttributes",i:0.00490159585748458,a:"This enumerated type provides additional information about a file during auto-detection. This enumerated type is defined in adinfo.h.  The attributes in this enumerated type are set when a particular characteristic is detected. However, if the attribute is not set it does not necessarily mean that ..."},"165":{y:0,u:"../Content/C/enum/ENSATableBorder.htm",l:-1,t:"ENSATableBorder",i:0.00215696158475464,a:"ENSATableBorder This enumerated type defines the type of border to display around tables. This enumerated type is defined in kvtypes.h.  Definition typedef enum tag_ENSATableBorder\n{\n    SA_BaseOnDocument,\n    SA_NoBorder,\n    SA_Border\n}\nENSATableBorder; Enumerators"},"166":{y:0,u:"../Content/C/enum/KVCredKeyType.htm",l:-1,t:"KVCredKeyType",i:0.0185049249677159,a:"This enumerated type defines the type of credential used to open a protected file. See  KVCredentialComponent . This enumerated type is defined in kvxtract.h. Definition typedef enum tag_KVCredKeyType\n{\n    KVCredKeyType_UserName,\n    KVCredKeyType_UserIdFile,\n    KVCredKeyType_Password, ..."},"167":{y:0,u:"../Content/C/enum/KVErrorCode.htm",l:-1,t:"KVErrorCode",i:0.0185038725347231,a:"This enumerated type defines the type of error generated if  Export  fails. This enumerated type is defined in kverrorcodes.h. Definition \ntypedef enum\n{\n    KVError_Success,                    /*  0 */\n    KVError_DLLNotFound,                /*  1 */\n    KVError_OutOfCore,                  /*  2 ..."},"168":{y:0,u:"../Content/C/enum/KVErrorCodeEx.htm",l:-1,t:"KVErrorCodeEx",i:0.00151106165967458,a:"KVErrorCodeEx KVErrorCodeEx is an alias of  KVErrorCode , to aid transition from earlier versions of the API."},"169":{y:0,u:"../Content/C/enum/KVHeadingCreateOptions.htm",l:-1,t:"KVHeadingCreateOptions",i:0.002778136510573,a:"This enumerated type defines whether Export generates blocks and block chunks based only on the heading styles defined in a source document (if they are available), or based on both the source document’s heading styles and headings that are created automatically by Export. Headings that are created ..."},"170":{y:0,u:"../Content/C/enum/KVMetadataKey.htm",l:-1,t:"KVMetadataKey",i:0.00309872794906486,a:"This enumerated type defines the names of standardized metadata fields that File Content Extraction can extract. The values from this enumeration are used in the eKey member of a  KVMetadataElement . The value KVMetadataKey_Other indicates that a metadata element does not represent a standardized ..."},"171":{y:0,u:"../Content/C/enum/KVMetadataType.htm",l:-1,t:"KVMetadataType",i:0.00273196345794421,a:"The KVMetadataType enum is deprecated in KeyView 23.2.0 and later. OpenText recommends that you access metadata using the metadata API described in  Use the Metadata API . This enum is still available for existing implementations, but it might be incompatible with new functionality and might be ..."},"172":{y:0,u:"../Content/C/enum/KVMetadataValueType.htm",l:-1,t:"KVMetadataValueType",i:0.00309872794906486,a:"KVMetadataValueType This enumerated type defines the type for a metadata element value. This enumerated type is defined in kvmetadata.h. Enumerators"},"173":{y:0,u:"../Content/C/enum/KVMetaNameType.htm",l:-1,t:"KVMetaNameType",i:0.00305320574277108,a:"The KVMetaNameType enum is deprecated in KeyView 23.2.0 and later. OpenText recommends that you access metadata using the metadata API described in  Use the Metadata API . This enum is still available for existing implementations, but it might be incompatible with new functionality and might be ..."},"174":{y:0,u:"../Content/C/enum/KVSubFileInfoChecksumType.htm",l:-1,t:"KVSubFileInfoChecksumType",i:0.00151106165967458,a:"This enumerated type defines the types of subfile checksums found when getting subfile info. See  KVSubFileInfo . This enumerated type is defined in kvxtract.h. Definition typedef enum tag_KVSubFileChecksumType\n{\n    KVSubFileChecksumType_None = 0,     /* no checksum associated with this subfile */\n ..."},"175":{y:0,u:"../Content/C/enum/KVSumInfoType.htm",l:-1,t:"KVSumInfoType",i:0.00403243718376797,a:"The KVSumInfoType enum is deprecated in KeyView 23.2.0 and later. OpenText recommends that you access metadata using the metadata API described in  Use the Metadata API . This enum is still available for existing implementations, but it might be incompatible with new functionality and might be ..."},"176":{y:0,u:"../Content/C/enum/KVSumType.htm",l:-1,t:"KVSumType",i:0.00151106165967458,a:"The KVSumType enum is deprecated in KeyView 23.2.0 and later. OpenText recommends that you access metadata using the metadata API described in  Use the Metadata API . This enum is still available for existing implementations, but it might be incompatible with new functionality and might be removed ..."},"177":{y:0,u:"../Content/C/enum/KVXMLAnchorType.htm",l:-1,t:"KVXMLAnchorType",i:0.0035746852612208,a:"This enumerated type defines the anchor types for the output stream. This enumerated type is defined in kvxml.h. Definition typedef enum tag_KVXMLAnchorType\n{\n   VectorPictureAnchor = 0,\n   RasterPictureAnchor,\n   H1Anchor,\n   H2Anchor,\n   H3Anchor,\n   H4Anchor,\n   H5Anchor,\n   H6Anchor,\n   ..."},"178":{y:0,u:"../Content/C/enum/KVXMLEmptyParaType.htm",l:-1,t:"KVXMLEmptyParaType",i:0.00215696158475464,a:"This enumerated type defines the options for paragraphs that do not contain content. This enumerated type is defined in kvxml.h. Definition typedef enum tag_KVXMLEmptyParaType\n{\n    KVEPT_SUPPRESS,    /* No markup generated        */\n     KVEPT_EMPTY,      /* Use \u003cp/\u003e                   */\n     ..."},"179":{y:0,u:"../Content/C/enum/KVXMLGraphicType.htm",l:-1,t:"KVXMLGraphicType",i:0.00284476106978047,a:"This enumerated type defines graphic formats to which embedded graphics and presentations are converted. This enumerated type is defined in kvxml.h. Definition typedef enum tag_KVXMLGraphicType\n{\n    KVGFX_GIF,\n    KVGFX_JPEG,\n    KVGFX_PNG,\n    KVGFX_CGM,\n    KVGFX_WMF,\n    KVGFX_JAVA,\n    ..."},"180":{y:0,u:"../Content/C/enum/KVXMLHardPageBreakType.htm",l:-1,t:"KVXMLHardPageBreakType",i:0.00215696158475464,a:"This enumerated type defines the options for hard page breaks. This enumerated type is defined in kvxml.h. Definition typedef enum tag_KVXMLHardPageBreakType\n{\n    KVHPBT_SUPPRESS, /* No markup generated           */\n    KVHPBT_EMPTY,    /* Use \u003cPage/\u003e                   */\n    KVHPBT_EMPTYID,  /* ..."},"181":{y:0,u:"../Content/C/enum/KVXMLStyleSheetType.htm",l:-1,t:"KVXMLStyleSheetType",i:0.00215696158475464,a:"KVXMLStyleSheetType This enumerated type defines the options for processing style sheet information. This enumerated type is defined in kvxml.h. Definition typedef enum tag_KVXMLStyleSheetType\n{\n   STYLESHEET_DISABLED,\n   XML_CSS,\n   XML_XSL\n}\nKVXMLStyleSheetType; Enumerators"},"182":{y:0,u:"../Content/C/enum/LPDF_DIRECTION.htm",l:-1,t:"LPDF_DIRECTION",i:0.00234135330841883,a:"LPDF_DIRECTION This enumerated type defines the paragraph direction of extracted paragraphs from a PDF file when logical order is enabled. This enumerated type is defined in kvtypes.h. Definition typedef enum{\n    LPDF_RAW = 0,\n    LPDF_LTR,\n    LPDF_RTL,\n    LPDF_AUTO\n} LPDF_DIRECTION ; Enumerators"},"183":{y:0,u:"../Content/appart.htm",l:-1,t:"Appendixes",i:0.00151106165967458,a:"This section lists supported formats, supported character sets and redistributed files, and provides information on format detection. Platforms, Compilers, and Dependencies File Formats Document Readers Platform Differences Character Sets Third-Party Libraries Extract and Format Lotus Notes Subfiles ..."},"184":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00161809576380566,a:"Platforms, Compilers, and Dependencies This section describes supported platforms, supported compilers, and software dependencies."},"185":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00151106165967458,a:"The following sections list supported operating systems for each platform. Windows (x86-64) Microsoft Windows Server 2022 Microsoft Windows Server 2019 Microsoft Windows Server 2016 Microsoft Windows Server 2012 Microsoft Windows 11 Microsoft Windows 10 Windows (x86) Microsoft Windows 10 Windows ..."},"186":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.00151106165967458,a:"Supported Compilers The following table lists the supported compilers for the C XML Export SDK."},"187":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.00343767553403396,a:"This section describes software that you, or the end user of your application, must install alongside File Content Extraction. For information about third-party software that is included with File Content Extraction, see  Third-Party Libraries . To run File Content Extraction on Windows requires the ..."},"188":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected.htm",l:-1,t:"File Formats",i:0.00161809576380566,a:"File Formats This section lists the file formats that File Content Extraction can detect."},"189":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected_Key.htm",l:-1,t:"Key to Supported Formats Table",i:0.00151106165967458,a:"Key to Supported Formats Table The supported formats table includes the following information:"},"190":{y:0,u:"../Content/kv_formats/_KV_FMT__AllDetected.htm",l:-1,t:"Supported Formats",i:0.00604599318102965,a:"1MHT, EML, and MBX files might return either format 2, 233, or 395, depending on the text  in the file. In general, files that contain fields such as To, From, Date, or Subject are considered to be email messages; files that contain fields such as content-type and mime-version are considered to be ..."},"191":{y:0,u:"../Content/kv_formats/_KV_FMT_FileClasses.htm",l:-1,t:"File Classes",i:0.00151106165967458,a:"File Classes"},"192":{y:0,u:"../Content/kv_formats/_KV_FMT__SupportedFormats.htm",l:-1,t:"Document Readers",i:0.00553031112107958,a:"Document Readers This section lists the document readers that are provided by File Content Extraction to filter, export, and view supported file formats."},"193":{y:0,u:"../Content/kv_formats/_KV_FMT__Key.htm",l:-1,t:"Key to Document Readers Table",i:0.00151106165967458,a:"The document readers table includes the following information. Key to Symbols Symbol Description Y The feature is supported. N The feature is not supported. T Only text is extracted from this format. Formatting information is not extracted.  M Only metadata (title, subject, author, and so on) is ..."},"194":{y:0,u:"../Content/kv_formats/_KV_FMT_Readers.htm",l:-1,t:"Document Readers",i:0.00693917261262331,a:"Document Readers"},"195":{y:0,u:"../Content/kv_platforms/_KV_Intro.htm",l:-1,t:"Platform Differences",i:0.00161809576380566,a:"Platform Differences Most File Content Extraction features and document readers are available across all platforms. This section describes the supported platforms for certain features that are not available on every platform."},"196":{y:0,u:"../Content/kv_platforms/_KV_FeaturesByPlatform.htm",l:-1,t:"Feature Differences",i:0.00480354542182015,a:"Feature Differences"},"197":{y:0,u:"../Content/kv_platforms/_KV_ReadersByPlatform.htm",l:-1,t:"Reader Differences",i:0.00347717468188382,a:"Reader Differences This topic shows only those readers that are unavailable on at least one platform. For a complete list of a readers, see  Document Readers ."},"198":{y:0,u:"../Content/kv_charset/_KV_CHARSET_c_charset.htm",l:-1,t:"Character Sets",i:0.00161809576380566,a:"Character Sets This section provides information on the handling of character sets in the File Content Extraction suite of products. "},"199":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Multibyte_Bidirectional_Support.htm",l:-1,t:"Multibyte and Bidirectional Support",i:0.00151106165967458,a:"File Content Extraction can process files that contain multibyte characters. A multibyte character encoding represents a single character with consecutive bytes. File Content Extraction can also process text from files that contain bidirectional text. Bidirectional text contains both Latin-based ..."},"200":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Coded_Character_Sets.htm",l:-1,t:"Coded Character Sets",i:0.00291344693972575,a:"This section lists the character sets you can use as your target character set.  The character sets are enumerated in kvcharset.h and defined in the  Export  class. Target character sets other than UTF-8 and UTF-16 are deprecated in File Content Extraction version 24.4 and later. OpenText recommends ..."},"201":{y:0,u:"../Content/Shared/_KV_3P_Appendix.htm",l:-1,t:"Third-Party Libraries",i:0.00454013722624992,a:"Third-Party Libraries This section contains information about the third-party libraries included with File Content Extraction."},"202":{y:0,u:"../Content/Shared/_KV_3P_Source.htm",l:-1,t:"Third-Party Library Source Code",i:0.00151106165967458,a:"File Content Extraction uses a variety of third-party libraries.  To see a list of the libraries used and their licenses, refer to license-os3p.txt which is included in the SDK. Some third-party libraries use a license which gives users of the software the right to obtain the source code to those ..."},"203":{y:0,u:"../Content/Shared/_KV_3P_UpgradePolicy.htm",l:-1,t:"Third-Party Library Upgrade Policy",i:0.00300953911750965,a:"File Content Extraction uses third-party libraries to provide important functionality. These libraries are regularly upgraded to ensure that File Content Extraction includes any relevant security fixes according to the following policy: All third-party libraries that are required for all uses of ..."},"204":{y:0,u:"../Content/kv_XML_templates/_KV_XML_app_XMLtemplate.htm",l:-1,t:"Extract and Format Lotus Notes Subfiles",i:0.00290250501337857,a:"Extract and Format Lotus Notes Subfiles This section describes how to create XML templates to alter the appearance of extracted Lotus mail note subfiles so that they maintain the look and feel of the original notes."},"205":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Overview.htm",l:-1,t:"Overview",i:0.00151106165967458,a:"File Content Extraction uses the NSF reader, nsfsr, to extract Lotus database files, and places Lotus mail notes in subfiles. The NSF reader uses a set of default XML templates to extract the notes and apply formatting, thereby approximating the look and feel of the original notes. In some cases, ..."},"206":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Customize_XML_Templates.htm",l:-1,t:"Customize XML Templates",i:0.00151106165967458,a:"XML templates are enabled by default. In most cases, the default templates should be sufficient; however, you can customize them or create your own as required. To customize XML templates for Lotus note extraction Modify the template files in the following directory. install\\OS\\bin\\NSFtemplates The ..."},"207":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Template_Elements_and_Attributes.htm",l:-1,t:"Template Elements and Attributes",i:0.0190801265172603,a:"This section lists the valid XML elements and attributes that you can use when creating or modifying templates. See the demo templates for examples. Conditional Elements The following table lists the valid conditional elements. Control Elements The following table lists the valid control elements. ..."},"208":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Date_and_Time_Formats.htm",l:-1,t:"Date and Time Formats",i:0.0096195904324717,a:"This section lists the supported Notes and File Content Extraction date and time formats for use with  \u003cformat\u003e ,  \u003cdate\u003e , and  \u003cdate_kv\u003e . Lotus Notes Date and Time Formats  This section lists supported Lotus Notes date and time formats, and the integer values that specify each one. File Content ..."},"209":{y:0,u:"../Content/export/a_tokens.htm",l:-1,t:"Export Tokens",i:0.00744362737822499,a:"This section contains an alphabetized list of the Export tokens. Tokens are special strings inserted into the  KVXMLTemplate structure,  XmlTemplateInfo class, and template files. They are placeholders for markup that appears in the XML output. For example, the $CHARSET token marks the place in the ..."},"210":{y:0,u:"../Content/export/Detect/detection.htm",l:-1,t:"File Format Detection",i:0.00346003537633095,a:"File Format Detection This section describes how file formats are detected in the File Content Extraction Export SDK."},"211":{y:0,u:"../Content/Shared/_KV_Refine_Detection_of_Text.htm",l:-1,t:"Refine Detection of Text Files",i:0.00151106165967458,a:"During text detection, File Content Extraction analyses the first 1 kB and last 1 kB of data in a document. If less than 10% of that data consists of non-ASCII characters, File Content Extraction detects the document as a text file. However, depending on the type of documents you are working with, ..."},"212":{y:0,u:"../Content/export/Detect/Determine_Doc_Reader.htm",l:-1,t:"Determine a Document Reader",i:0.00215326628446104,a:"The format detection module uses information in the file  formats_e.ini to determine whether a format is supported, and to determine the reader to use to parse a format. The entries in the [Formats] section of  formats_e.ini match file formats with readers. Each file format has the following ..."},"213":{y:0,u:"../Content/Shared/_KV_AdditionalFormatInfo.htm",l:-1,t:"Additional Format Information",i:0.00151106165967458,a:"File Content Extraction returns basic information about a document\u0027s format, but sometimes it can be useful to have additional information. The file formats_description.tsv, which can be found in the bin directory, provides a mapping between file format ID, human-readable format description, and the ..."},"214":{y:0,u:"../Content/export/Files/Filelist.htm",l:-1,t:"Files Required for Redistribution",i:0.00290250501337857,a:"This section lists the Export files that can be redistributed in your applications under the licensing agreement. Unless noted, these files are in the directory  install\\OS\\bin, where install is the path of the Export installation directory and OS is the operating system platform. On Windows ..."},"215":{y:0,u:"../Content/export/Files/Core_Files.htm",l:-1,t:"Core Files",i:0.00151106165967458,a:"Core Files The following core files can be redistributed with your application."},"216":{y:0,u:"../Content/export/Files/Support_Files.htm",l:-1,t:"Support Files",i:0.00151106165967458,a:"Support Files The following support files can be redistributed with your application."},"217":{y:0,u:"../Content/export/Files/Document_Readers_and_Writers.htm",l:-1,t:"Document Readers and Writers",i:0.00193919807619889,a:"Document Readers and Writers The following readers and writers can be redistributed with your application."},"218":{y:0,u:"../Content/export/Files/Document_Type_Definition_Files.htm",l:-1,t:"Document Type Definition Files",i:0.00151106165967458,a:"Document Type Definition Files The following files related to the verity.dtd can be redistributed with your application."},"219":{y:0,u:"../Content/Shared/_KV_pwd_intro.htm",l:-1,t:"Password Protected Files",i:0.00161809576380566,a:"Password Protected Files This section lists supported password-protected container and non-container files and describes how to open them."},"220":{y:0,u:"../Content/Shared/_KV_pwd_protect_support.htm",l:-1,t:"Supported Password Protected File Types",i:0.00151106165967458,a:"The following table lists the password-protected file types that File Content Extraction supports. Supported password-protected file types File Type Version Filter Export Extract View Credentials PST (Windows) n/a N N Y S P PST (non-Windows) 1 The native PST readers, pstxsr and pstnsr, do not ..."},"221":{y:0,u:"../Content/C/C_Export_Password_Protected_Files.htm",l:-1,t:"Export Password Protected Files",i:0.00192071731183312,a:"This section describes how to export password-protected non-container files with the C API. To export password-protected files Call the  fpInit()  function. Call the KVXMLConfig() function with the following arguments : For example: (*fpXMLConfig)(pKVXML, KVCFG_SETPASSWORD, TRUE, password); where ..."},"222":{y:0,u:"../Content/kv_RMS/_KV_RMS_Intro.htm",l:-1,t:"Microsoft Rights Management Service Protected Files",i:0.00161809576380566,a:"Microsoft Rights Management Service Protected Files This section contains information about support for Microsoft Rights Management Service (RMS)."},"223":{y:0,u:"../Content/kv_RMS/_KV_RMS.htm",l:-1,t:"Microsoft Azure Rights Management Service",i:0.00151106165967458,a:"The Microsoft Rights Management Service (RMS) allows you to classify and optionally encrypt documents. This service forms the rights management part of Microsoft Azure Information Protection (AIP).  For many of the files that Azure RMS can classify and encrypt, File Content Extraction can identify ..."},"224":{y:0,u:"../Content/kv_RMS/_KV_RMS_support.htm",l:-1,t:"Supported Formats",i:0.00151106165967458,a:"File Content Extraction support for Azure RMS files depends on the encryption method that Azure RMS uses for each file type, and on whether the file is classified or protected. In Azure RMS, classified files have additional labels to inform users of their sensitivity, while protected files are ..."},});